Autor Tema: awus1900 rtl8814au soporte con wilislax64 1.1???  (Leído 3114 veces)

0 Usuarios y 1 Visitante están viendo este tema.

susaniita

  • Visitante
awus1900 rtl8814au soporte con wilislax64 1.1???
« en: 21-03-2018, 18:53 (Miércoles) »
                 
                            *Wifislaxx64 version 1.1 final para q reconozca mi awus1900.Intalacion de drivers rtl8814au*


-Hay en la nueva version de wifislax un modulo.zxm (basado en la version 5.1.5 del git de astsam)que podemos descargar desde este foro pero solo funciona para el chipset rtl8812au
y no  funciona para mi rtl8814au.
-Tambien tenemos un actualizardor automatico de este driver que compila solo y se encuentra en actualizaciones/drivers de la ultima wifislax64 1.1 basado en la git de astsam 4.3.21
que aunque cargo e instalo, no logro que me reconozca mi awus1900.

Instalacion de los drivers en una distribución basada en Debian/Ubuntu y similares:

-Los pasos a seguir dicen que son iguales que cuando instalamos los drivers para RTL8812AU de la AWUS036ACH con una diferencia:
                 *Se debe especificar el RTL8814AU al momento de compilar

-Nos podemos situar en carpeta tmp y alli trabajar con la descarga:
Código: [Seleccionar]
cd /tmp
-Hacer una descarga de la rama 4.3.21 o de la rama 5.1.5 de los drivers del git de astsam:
Código: [Seleccionar]
git clone -b v5.1.5 https://github.com/astsam/rtl8812au.gito
Código: [Seleccionar]
git clone -b v4.3.21 https://github.com/astsam/rtl8812au.git (A mi me van mejores los 4.3.21 para mi awus1900 en tema de fluidez)

* Para kerneles 4.13 y superiores debemos usar los drivers del repositorio de aircrack-ng. Astsam ha dejado de actualizar sus drivers y el mantenimiento se hace ahora desde aircrack-ng:
Código: [Seleccionar]
git clone -b v5.1.5 https://github.com/aircrack-ng/rtl8812au.git(estos con wifislax64 1.1 final no me van, pues el kernel de esa version del wifislax es el 4.9)
o
Código: [Seleccionar]
git clone -b v4.3.21 https://github.com/aircrack-ng/rtl8812au.git
- Situarse en la rama descargada:
      
Código: [Seleccionar]
cd rtl8812au
- Compilar (especificando el chipset):
      
Código: [Seleccionar]
make RTL8814=1
- Instalar:
      
Código: [Seleccionar]
make install RTL8814=1       
Código: [Seleccionar]
depmod -a       
Código: [Seleccionar]
modprobe 8814au


-Sabemos que desde los repositorios github se pueden dercargar unas cuantas versiones
las mas destacadas son los de astsam que son compatilbles con inyeccion y modo monitor
aunque dan algunos problemas como se ha hablado por muchos hilos del foro
para solucionarlos tambien se dan algunas respuestas en el foro como cambio manual o a traves de scripts automatizados de monx a wlanx,
iniciar  en modo monitor con iwconfig ya que los drivers solo reaccionan con wlanx no con monx, de ahi el problema con airmon-ng
que esta compilado para iniciar mono monitor en monx,  matar algun proceso ,wifimosys en banda 5gz no consigue ser visible la ap fake con este chipset, ect...

-Aqui os dejo algunos hilos del foro donde tener una amplia informacion:

https://foro.seguridadwireless.net/zona-linux/driver-rtl8812au-modo-monitor-e-inyeccion/
https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/trabajo-para-intenar-incluir-soporte-rtl8812au-en-airmon-ng-(classic)/40/
https://foro.seguridadwireless.net/live-wifislax/geminisauditor-(wep-wpa-wps)-todo-en-uno/msg359008/#msg359008
https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/trabajo-para-intenar-incluir-soporte-rtl8812au-en-airmon-ng-(classic)/
https://foro.seguridadwireless.net/live-wifislax/ayuda-con-soporte-alfa-awus036ach-para-wifislax/msg352785/#msg352785

-Hay soporte para la rtl8812au en el foro  e incluso en actualizadores/drivers desde la ultima wifislax64 q compila automaticamente  basado en los de la rama astsam 4.3.21
solo faltaria dar soporte con el actualizador/drivers en wifislax64 para que instale y compile automaticamente los rtl 8814au



« Última modificación: 26-03-2018, 11:58 (Lunes) por susaniita »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #1 en: 21-03-2018, 20:22 (Miércoles) »
Pues solome ha costado ... medio segundo , en la propia github , lo pone bien clarito

make install RTL8814=1

mirare dos cosas

1 - que el actualizador/instalador use el git de aircrack
2 - crear el script para el driver 8814
« Última modificación: 21-03-2018, 20:23 (Miércoles) por USUARIONUEVO »

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???sta
« Respuesta #2 en: 21-03-2018, 22:03 (Miércoles) »
Pues solome ha costado ... medio segundo , en la propia github , lo pone bien clarito

make install RTL8814=1

mirare dos cosas

1 - que el actualizador/instalador use el git de aircrack
2 - crear el script para el driver 8814

En efecto @Usuarionuevo, es lo que hice
tal y como he explicado me da error (mira las imágenes)

No entiendo muy bien, estoy muy verde en temas de linux y compilaciones....
bajo debían y otras distros es diferente a tu slax y topamos con más problemillas, jeje
pues el proyecto esta dirigido a la búsqueda de brechas en seguridad wireless
y como es lógico tiene sus características

Gracias por intentar hacer el script para el driver y darle soporte.

En cuanto a q el actualizador/instalador use el git de aircrack... no se si sería bueno a corto plazo
tal y como lo tienes: basado en la rama 4.3.21 de astsam seria la mejor opcion
van más fluidos para el kernel 4.9 (creo recordar q usa ahora mismo el wifislax)
a partir de kernel 4.13 si q los 5.1.5 son los más estables y el equipo aircack coge el testigo, ademas los 4.3.21 soportan txpower los 5.1.5 creo que no.
« Última modificación: 22-03-2018, 14:03 (Jueves) por susaniita »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #3 en: 22-03-2018, 10:52 (Jueves) »
no , ni de lejos es lo que hicistes..mira tu las imagenes..yo veo un make install pelado ... sin decirle que es el 8814. :P

mi slax , es un linux como cualquier otro , ...
« Última modificación: 22-03-2018, 12:07 (Jueves) por USUARIONUEVO »

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #4 en: 22-03-2018, 12:52 (Jueves) »
no , ni de lejos es lo que hicistes..mira tu las imagenes..yo veo un make install pelado ... sin decirle que es el 8814. :P

mi slax , es un linux como cualquier otro , ...

Gracias @Usuarionuevo >:(

 ^-^ ^-^
lo siento, lo tengo delante de mis ojos..... y ni lo he visto, jeje

Ahora si me la reconoce perfectamente y conectada a la red

Entonces podria modificar el tema, poniendo correctamente los codigos y el titular?
y pedir el script/modulo modificado o especifico para que instale tambien la rtl8814au en el hilo conrrespondiente?

P.D: Se me ocurren un par de dudas:
       1.ya no existe el fichero que subistes a mega de el modulo tx-power x64, donde podria descargarlo? gracias
       2.si activo el modulo zxm de la rtl8812au 5.1.5 que tenemos en modulos para wifislax64 1.1 final, como podria usar de nuevo los de la rama 4.3.21 que
       vienen por defecto?
« Última modificación: 23-03-2018, 17:35 (Viernes) por susaniita »

bzbs

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #5 en: 25-03-2018, 11:25 (Domingo) »
@susaniita los modulos no funcionan entre ISO diferentes con kernel diferentes, tienes que instalar el driver a mano, o usa Kali que ya trae los drivers de serie.

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #6 en: 25-03-2018, 20:34 (Domingo) »
@bzbs gracias por contestar
primero decirte q los instale a mano
y todo ok
q hay de esas 2 dudas q planteé sabrías algo?

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #7 en: 25-03-2018, 21:49 (Domingo) »
@bzbs gracias por contestar
primero decirte q los instale a mano
y todo ok
q hay de esas 2 dudas q planteé sabrías algo?

usa la logica ...

1 - el tema tx-power , se demosto mediante medidor , que aunque por software desbloquees los limites,  no significa que si tu pones 5 watts  , la tarjeta funcione a 5 watts , es mas , muy pocos adaptadores pasaban de 20dbm (100mw) , asi que , se desmonto todo el chiringuito ese , las mejoras eran pesimas en cuanto a potencia.

2 - aqui usa la logica ,si metes un driver 5.1.5 , y el updater crea el de la rama 4..pues ejecuta el updater y vuelves a la 4.1.3

-------------

El proximo wifislax , llevara un kernel 4.14 , asi que cambare los updaters hacia la rama 5 de driver y el git de aircrack.
« Última modificación: 25-03-2018, 21:50 (Domingo) por USUARIONUEVO »

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1
« Respuesta #8 en: 26-03-2018, 11:19 (Lunes) »
@bzbs gracias por contestar
primero decirte q los instale a mano
y todo ok
q hay de esas 2 dudas q planteé sabrías algo?

usa la logica ...

1 - el tema tx-power , se demosto mediante medidor , que aunque por software desbloquees los limites,  no significa que si tu pones 5 watts  , la tarjeta funcione a 5 watts , es mas , muy pocos adaptadores pasaban de 20dbm (100mw) , asi que , se desmonto todo el chiringuito ese , las mejoras eran pesimas en cuanto a potencia.

2 - aqui usa la logica ,si metes un driver 5.1.5 , y el updater crea el de la rama 4..pues ejecuta el updater y vuelves a la 4.1.3

-------------

El proximo wifislax , llevara un kernel 4.14 , asi que cambare los updaters hacia la rama 5 de driver y el git de aircrack.

@Usuarionuevo, entendido!!!
es decir para usar de nuevo el driver que quiera solo bastaria con instalar por encima y listo!!!!(esa era la duda)jeje.

en efecto!!! intento instalar los de la rama 5.1.5 del git aircrack y no me funciona, entonces lo de @bsbz es correcto
con el kernel 4.9 del wifislaxx64 1.1 no funcionan estos drivers, son para kerneles especificos
en cambio los del git astsam tanto 4.3.21 como 5.1.5 me funcionan perfectamente con este wifislax64 1.1

Decir que a  mi me van mejor el 4.3.21 de astsam que cualquier otro
En cuanto a lo de usar kali, casi que me quedo con tu wifislax, me gusta mas,  ;)

 :-* correjido los codigos y el titulo del hilo :-*
« Última modificación: 26-03-2018, 12:00 (Lunes) por susaniita »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #9 en: 27-03-2018, 08:48 (Martes) »
insisto por enesima vez, la proxima wifislax , llevara kernel 4.14.xxx  , asi que hare los cambios en los scripts para ir con los drivers de aircrack.  ;D

bzbs

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #10 en: 29-03-2018, 18:24 (Jueves) »
insisto por enesima vez, la proxima wifislax , llevara kernel 4.14.xxx  , asi que hare los cambios en los scripts para ir con los drivers de aircrack.  ;D
pero el driver o un actualizador?
« Última modificación: 29-03-2018, 18:33 (Jueves) por bzbs »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #11 en: 29-03-2018, 22:52 (Jueves) »
insisto por enesima vez, la proxima wifislax , llevara kernel 4.14.xxx  , asi que hare los cambios en los scripts para ir con los drivers de aircrack.  ;D
pero el driver o un actualizador?

puedo pone las dos cosas , en principio el actualizador, aunque sopeso la opcion de dejar el de atsam 4.x y luego los de aircrack 5.x

es decir

2 scripts para driver 4. de atsam
2 scripts rama 5.X aircrack


Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #12 en: 30-03-2018, 23:26 (Viernes) »
Ya tengo listos los updaters

8812au
8814au

con la pèculariedad de que al lanzarlos os preguntara que rama quereis

4.3.21  o  5.1.5

Los chicos de aircrack tienen el 4.3.21 parcheado para kernels nuevos y compilan bien  >:(
« Última modificación: 30-03-2018, 23:26 (Viernes) por USUARIONUEVO »

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #13 en: 02-04-2018, 14:27 (Lunes) »
gracias

susaniita

  • Visitante
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #14 en: 02-04-2018, 14:29 (Lunes) »
gracias!!!!
donde probar??
supongo que descargandonos esta version:

https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/iso-para-testeo-wifislax-1-1-31032018/


pedon por la repeticion me confundi, lo siento mucho no me riñais

« Última modificación: 02-04-2018, 15:52 (Lunes) por susaniita »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14237
Re: awus1900 rtl8814au soporte con wilislax64 1.1???
« Respuesta #15 en: 02-04-2018, 23:52 (Lunes) »
gracias!!!!
donde probar??
supongo que descargandonos esta version:

https://foro.seguridadwireless.net/colaboracion-y-desarrollo-de-nuestras-lives/iso-para-testeo-wifislax-1-1-31032018/


pedon por la repeticion me confundi, lo siento mucho no me riñais



si , hay estan dichos scripts.